APISettings
List email addresses
List the workspace's sending addresses with their auto-reply and DNS state. Requires the admin scope.
GET
/settings/email-addressescurl -X GET "https://productlane.com/api/v2/settings/email-addresses" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Response
application/json
Successful response
dataobject[]required
{
"data": [
{
"id": "string",
"email": "string",
"domain": "string",
"inbound_address": "string",
"sender_name": "string",
"auto_reply_sender_name": "string",
"is_enabled": true,
"is_primary": true,
"is_broadcast_default": true,
"is_forwarding_setup": true,
"auto_reply_enabled": true,
"auto_reply_message": "string",
"ai_agent_enabled": true,
"forwarded_email_handling": "string",
"dns_txt_verified": true,
"dns_cname_verified": true,
"created_at": "string",
"updated_at": "string"
}
]
}